#ifndef _DRAWING_
#define _DRAWING_

#include "SDL_opengl.h"

namespace Drawing {
		
	extern GLUquadric* quadric;
	extern GLuint sphereDisplayList;
	extern GLuint circleDisplayList;
	extern GLuint cylinderDisplayList;

	void init ();
	
	void drawSphere (float x, float y, float z, float r);
	void drawCylinder (float r, float l);
};

#endif

