#ifndef _EMITTER_H_
#define _EMITTER_H_

#include <AL/alut.h>

class Emitter {
	public:
	
	Emitter (int i, float x, float z);
	virtual ~Emitter ();
	
	virtual void update ();
	virtual void draw ();
	
	float x;
	float z;
	
	float vx;
	float vz;
	
	bool isDown;
	bool isPlaying;
	
	ALuint alSource;
	ALvoid* audioData;
};

#endif

