#ifndef _PLAYER_H_
#define _PLAYER_H_

class Player {
	public:
	
	Player () : x(0), z(0), vx(0), vz(0), angle(0), leanForwards(0), leanSideways(0) {}
	virtual ~Player () {}
	
	virtual void update () {}
	virtual void draw ();
	
	float x;
	float z;
	
	float vx;
	float vz;
	
	float angle;
	
	float leanForwards;
	float leanSideways;
};

class ActivePlayer : public Player {
	public:
	
	ActivePlayer () {}
	
	virtual void update ();
	
	void applyCamera ();
	
	float cx, cy, cz;
};

class GhostPlayer : public Player {
	public:
	
	GhostPlayer () {}
	
	virtual void update ();
};

#endif

